Mail::Box::Parser::Lines(3)

NAME
Mail::Box::Parser::Lines - reading messages from file using Perl

INHERITANCE
 Mail::Box::Parser::Lines
   is a Mail::Box::Parser
   is a Mail::Reporter

SYNOPSIS

DESCRIPTION
This "Mail::Box::Parser::Lines" implements parsing of messages in Perl, with an ARRAY as source.

Hint: Useful when the message is already in memory. When you plan to use this yourself, you probably need to use Mail::Message::Construct::Read.

Extends "DESCRIPTION" in Mail::Box::Parser.

METHODS
Extends "METHODS" in Mail::Box::Parser.

  Constructors
Extends "Constructors" in Mail::Box::Parser.

$class->new(%options)
    Inherited, see "METHODS" in Mail::Box::Parser

     -Option           --Defined in       --Default
      fix_header_errors  Mail::Box::Parser  false
      lines                                 <required>
      source                                <required>
      trusted            Mail::Box::Parser  false

    fix_header_errors => BOOLEAN
    lines => \@lines
    source => $name
    trusted => BOOLEAN

  Attributes
Extends "Attributes" in Mail::Box::Parser.

$any->defaultParserType( [$class] )
    Inherited, see "Attributes" in Mail::Box::Parser

$obj->fixHeaderErrors( [BOOLEAN] )
    Inherited, see "Attributes" in Mail::Box::Parser

$obj->lines()
    Returns an ARRAY with the remaining lines.

$obj->source()
    The name of the source.

$obj->trusted()
    Inherited, see "Attributes" in Mail::Box::Parser

  Parsing
Extends "Parsing" in Mail::Box::Parser.

$obj->bodyAsFile( $fh [$chars, [$lines]] )
    Inherited, see "Parsing" in Mail::Box::Parser

$obj->bodyAsList( [$chars, [$lines]] )
    Inherited, see "Parsing" in Mail::Box::Parser

$obj->bodyAsString( [$chars, [$lines]] )
    Inherited, see "Parsing" in Mail::Box::Parser

$obj->bodyDelayed( [$chars, [$lines]] )
    Inherited, see "Parsing" in Mail::Box::Parser

$obj->lineSeparator()
    Inherited, see "Parsing" in Mail::Box::Parser

$obj->readHeader()
    Inherited, see "Parsing" in Mail::Box::Parser

$obj->stop()
    Inherited, see "Parsing" in Mail::Box::Parser

  Error handling
Extends "Error handling" in Mail::Box::Parser.

$obj->AUTOLOAD()
    Inherited, see "Error handling" in Mail::Reporter

$obj->notImplemented()
    Inherited, see "Error handling" in Mail::Reporter

  Cleanup
Extends "Cleanup" in Mail::Box::Parser.

$obj->DESTROY()
    Inherited, see "Cleanup" in Mail::Reporter

DIAGNOSTICS

Error: class $package does not implement method $method.
    Fatal error: the specific $package (or one of its superclasses) does not implement this method where it should. This message means that some other related classes do implement this method however the class at hand does not. Probably you should investigate this and probably inform the author of the package. Cast by notImplemented()

Error: parser $type does not extend $pkg.
    Cast by defaultParserType()

Warning: unexpected end of header in $source:\n $line
    Cast by readHeader()

SEE ALSO
This module is part of Mail-Message version 4.01, built on December 13, 2025. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2001-2025 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.